/**
 * This function takes a URL path like '/foo' and translates it to a local file path like '/tmp/xyz-123/foo'.
 *
 * A 'URL path' is the relative path where a file is stored on the Upload CDN.
 *
 * For example, the URL path '/foo' corresponds to the URL 'https://cdn.upload.io/<fileId>/<transformationName>/foo'.
 */
export declare type LocalFileResolver = (urlPath: string) => string;
