import { TransformationEstimation } from "upload-plugin-sdk";

export interface PluginTransformationResult {
  async: Promise<void>;
}

export interface PluginEstimationResult {
  estimation: TransformationEstimation | undefined;
}

export interface PluginHealthCheckResult {
  success: boolean;
}

export type PluginInvocationResult<TEstimation extends PluginEstimationResult> =
  | TEstimation
  | PluginTransformationResult
  | PluginHealthCheckResult;
