import { PluginDefaultExport } from "./types/PluginDefaultExport";
import { TransformationHandler } from "./types/transform/TransformationHandler";
import { PluginEstimationResult } from "./types/PluginInvocationResult";
import { EstimationHandler } from "./types/transform/EstimationHandler";
export declare function transform<TParams, TEstimation extends PluginEstimationResult = PluginEstimationResult>({ estimate, run }: {
    estimate?: EstimationHandler<TParams, TEstimation>;
    run: TransformationHandler<TParams, TEstimation>;
}): PluginDefaultExport<TParams, TEstimation>;
