import { TransformationEstimation } from "..";
export interface PluginTransformationResult {
    async: Promise<void>;
}
export interface PluginEstimationResult {
    estimation: TransformationEstimation | undefined;
}
export interface PluginHealthCheckResult {
    success: boolean;
}
export declare type PluginInvocationResult<TEstimation extends PluginEstimationResult> = TEstimation | PluginTransformationResult | PluginHealthCheckResult;
