import { FileMetadata } from "../..";
/**
 * Sets the metadata for a file.
 *
 * A 'URL path' is the relative path where a file is stored on the Upload CDN.
 *
 * For example, the URL path '/foo' corresponds to the URL 'https://cdn.upload.io/<fileId>/<transformationName>/foo'.
 */
export declare type FileMetadataSetter = (urlPath: string, metadata: FileMetadata) => Promise<void>;
